org.apache.cassandra.cql3.functions

## Interface AggregateFunction

- All Superinterfaces:
    AssignmentTestable, Function
  All Known Implementing Classes:
    NativeAggregateFunction, UDAggregate

      public interface AggregateFunction
      extends Function

  Performs a calculation on a set of values and return a single value.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `AggregateFunction.Aggregate` An aggregation operation.

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AggregateFunction.Aggregate` | `newAggregate()` Creates a new `Aggregate` instance.

    - ### Methods inherited from interface org.apache.cassandra.cql3.functions.Function

      `addFunctionsTo, argTypes, columnName, hasReferenceTo, isAggregate, isNative, name, returnType`

    - ### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `testAssignment`

- - ### Method Detail

    - #### newAggregate

          AggregateFunction.Aggregate newAggregate()
                                            throws InvalidRequestException

      Creates a new `Aggregate` instance.
      Returns:
        a new `Aggregate` instance.
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation